package com.fs.company.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 入库对象 company_product_instock
 *
 * @author fs
 * @date 2025-07-01
 */
public class CompanyProductInstock extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 产品ID */
    @Excel(name = "产品ID")
    private Long productId;

    /** 公司ID */
    @Excel(name = "公司ID")
    private Long companyId;

    /** 批次号 */
    @Excel(name = "批次号")
    private String batchNo;

    /** 入库数量 */
    @Excel(name = "入库数量")
    private Long num;

    /** 当前库存 */
    @Excel(name = "当前库存")
    private Long stock;

    /** 序列号范围 中间用-分隔 */
    @Excel(name = "序列号范围 中间用-分隔")
    private String serialCode;

    /** 入库时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "入库时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date enterTime;

    /** 有效期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "有效期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date limitTime;

    /** 仓库编号 */
    @Excel(name = "仓库编号")
    private String storeCode;

    /** SKU */
    @Excel(name = "SKU")
    private String sku;

    /** 成本价 */
    @Excel(name = "成本价")
    private BigDecimal costPrice;

    /** 状态 */
    @Excel(name = "状态")
    private Integer status;

    /** 创建者 */
    @Excel(name = "创建者")
    private Long createUserId;

    /** 更新者 */
    @Excel(name = "更新者")
    private Long updateUserId;

    /** 是否删除 */
    @Excel(name = "是否删除")
    private Integer isDel;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setProductId(Long productId)
    {
        this.productId = productId;
    }

    public Long getProductId()
    {
        return productId;
    }
    public void setCompanyId(Long companyId)
    {
        this.companyId = companyId;
    }

    public Long getCompanyId()
    {
        return companyId;
    }
    public void setBatchNo(String batchNo)
    {
        this.batchNo = batchNo;
    }

    public String getBatchNo()
    {
        return batchNo;
    }
    public void setNum(Long num)
    {
        this.num = num;
    }

    public Long getNum()
    {
        return num;
    }
    public void setStock(Long stock)
    {
        this.stock = stock;
    }

    public Long getStock()
    {
        return stock;
    }
    public void setSerialCode(String serialCode)
    {
        this.serialCode = serialCode;
    }

    public String getSerialCode()
    {
        return serialCode;
    }
    public void setEnterTime(Date enterTime)
    {
        this.enterTime = enterTime;
    }

    public Date getEnterTime()
    {
        return enterTime;
    }
    public void setLimitTime(Date limitTime)
    {
        this.limitTime = limitTime;
    }

    public Date getLimitTime()
    {
        return limitTime;
    }
    public void setStoreCode(String storeCode)
    {
        this.storeCode = storeCode;
    }

    public String getStoreCode()
    {
        return storeCode;
    }
    public void setSku(String sku)
    {
        this.sku = sku;
    }

    public String getSku()
    {
        return sku;
    }
    public void setCostPrice(BigDecimal costPrice)
    {
        this.costPrice = costPrice;
    }

    public BigDecimal getCostPrice()
    {
        return costPrice;
    }
    public void setStatus(Integer status)
    {
        this.status = status;
    }

    public Integer getStatus()
    {
        return status;
    }
    public void setCreateUserId(Long createUserId)
    {
        this.createUserId = createUserId;
    }

    public Long getCreateUserId()
    {
        return createUserId;
    }
    public void setUpdateUserId(Long updateUserId)
    {
        this.updateUserId = updateUserId;
    }

    public Long getUpdateUserId()
    {
        return updateUserId;
    }
    public void setIsDel(Integer isDel)
    {
        this.isDel = isDel;
    }

    public Integer getIsDel()
    {
        return isDel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("productId", getProductId())
            .append("companyId", getCompanyId())
            .append("batchNo", getBatchNo())
            .append("num", getNum())
            .append("stock", getStock())
            .append("serialCode", getSerialCode())
            .append("enterTime", getEnterTime())
            .append("limitTime", getLimitTime())
            .append("storeCode", getStoreCode())
            .append("sku", getSku())
            .append("costPrice", getCostPrice())
            .append("status", getStatus())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("createUserId", getCreateUserId())
            .append("updateUserId", getUpdateUserId())
            .append("isDel", getIsDel())
            .toString();
    }
}
